--- pypy/tool/release/package.py.orig	2022-03-28 09:53:47 UTC
+++ pypy/tool/release/package.py
@@ -156,7 +156,11 @@ def generate_sysconfigdata(pypy_c, stdlib):
                            '--generate-posix-vars',
                            # Use PyPy-specific extension to get HOST_GNU_TYPE
                            'HOST_GNU_TYPE', host_gnu_type])
-    with open('pybuilddir.txt') as fid:
+    pybuilddir_txt = 'pybuilddir.txt'
+    pypy_wrkdir = os.environ.get("PYPY_WRKDIR")  # this is set by FreeBSD port
+    if pypy_wrkdir is not None:
+        pybuilddir_txt = os.path.join(pypy_wrkdir, pybuilddir_txt)
+    with open(pybuilddir_txt) as fid:
         dirname = fid.read().strip()
     assert os.path.exists(dirname)
     sysconfigdata_names = os.listdir(dirname)
